sK1 Project :: OpenSource Solutions for Prepress
View Thread
 Print Thread
Fail to install in CentOS5?
KFC
#1 Print Post
Posted on 23-06-2009 19:15
Member

Posts: 2
Joined: 23.06.09

I try to install sK1 in CentOS5 (x86-64)

python setup.py install

but it retuns

running build_ext
building 'sk1.app.modules._sketchmodule' extension
gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fPIC -DMAJOR_VERSION=0 -DMINOR_VERSION=9 -I/usr/include/cairo -I/usr/include/python2.4 -c src/extentions/skmod/skaux.c -o build/temp.linux-x86_64-2.4/src/extentions/skmod/skaux.o
src/extentions/skmod/skaux.c:359: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'SKCache_length'
src/extentions/skmod/skaux.c:391: error: 'lenfunc' undeclared here (not in a function)
src/extentions/skmod/skaux.c:391: error: expected '}' before 'SKCache_length'
error: command 'gcc' failed with exit status 1
 
igor
#2 Print Post
Posted on 26-06-2009 01:26
User Avatar

Super Administrator

Posts: 220
Joined: 09.02.09

It seems you have not installed required headers for compilation. To fix error from the stacktrace you need installing python-devel package. Also please check other required headers:

http://sk1project...22#post_80
Regards,

Igor Novikov
sK1 Project
 
KFC
#3 Print Post
Posted on 26-06-2009 07:36
Member

Posts: 2
Joined: 23.06.09

Thanks. But it seems too much dependent for me to upgrade, I try for several hours, still can't make it works ... give up Sad
 
Victor
#4 Print Post
Posted on 23-07-2009 18:19
User Avatar

Member

Posts: 24
Joined: 13.05.09

The CentOS5 actually an Fedora clone. Try the Fedora prm instead.
 
Jump to Forum: